#if !defined( _types_h )
#define _types_h

#include <limits.h>

#define byte unsigned char 

#define word8 unsigned char
#define int8 signed char

#define int16 signed short
#define word16 unsigned short

#if ( ULONG_MAX > 0xFFFFFFFFUL )
   #define int32 signed int
   #define word32 unsigned int
   #define int64 signed long
   #define word64 unsigned long
#else
   #define word32 unsigned long
   #define int32 signed long

   #if defined( __GNUC__ )
      #define int64 signed long long
      #define word64 unsigned long long
   #endif
#endif

#endif
